Check-in [5c05a1fe16]
Not logged in

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview

SHA1 Hash:5c05a1fe16dfa2219d6b2fd04b6738746cae4b69
Date: 2012-04-07 09:25:19
User: BarryK
Comment:one-click editing of initrd.gz

Tags And Properties
Changes

Changes to woof-code/packages-templates/shared-mime-info/usr/share/mime/application/initramfs-gz.xml

@@ -1,1 +1,5 @@
-
+<?xml version="1.0" encoding="utf-8"?>
+<mime-type xmlns="http://www.freedesktop.org/standards/shared-mime-info" type="application/x-squashfs-image">
+<!--CREATED MANUALLY BY BK Created automatically by update-mime-database. DO NOT EDIT!-->
+  <comment>Linux initramfs, compressed</comment>
+</mime-type>

Changes to woof-code/packages-templates/shared-mime-info/usr/share/mime/globs-puppy-extra

@@ -9,5 +9,6 @@
 application/x-delta:*.delta
 application/x-ccrypt:*.cpt
 text/x-genie:*.gs
 message/rfc822:*.mht
 message/rfc822:*.mhtml
+application/initramfs-gz:initrd.gz

Changes to woof-code/packages-templates/shared-mime-info/usr/share/mime/packages/puppy.xml

@@ -58,10 +58,15 @@
   </mime-type>
 
   <mime-type type="text/x-bacon">
     <comment>BaCon source file</comment>
     <glob pattern="*.bac"/>
+  </mime-type>
+
+  <mime-type type="application/initramfs-gz">
+    <comment>Linux initramfs, compressed</comment>
+    <glob pattern="initrd.gz"/>
   </mime-type>
 
 </mime-info>
 
 

Changes to woof-code/packages-templates/xorg_base/FIXUPHACK

@@ -22,5 +22,12 @@
  ln -s mesa/libGL.so.1 usr/lib/libGL.so.1
  ln -s mesa/libGL.so usr/lib/libGL.so
  ln -s mesa/libGL.so.1.2 usr/lib/libGL.so.1.2
 fi
 
+#120406 gxmessage pkg creates xmessage symlink to it. get real xmessage out of the way...
+if [ -f usr/bin/xmessage ];then
+ if [ ! -h usr/bin/xmessage  ];then
+  mkdir -p usr/X11R7/bin
+  mv -f usr/bin/xmessage usr/X11R7/bin/
+ fi
+fi

Changes to woof-code/rootfs-skeleton/etc/profile

@@ -2,10 +2,11 @@
 #100622 PKG_CONFIG_PATH is determined in 3builddistro (Woof), written to /etc/profile.d/pkgconfig
 #110426 added /usr/games to PATH
 #110804 fix double-login when exit from X, allow /etc/profile to complete. see also "echo -n '# '" in /usr/bin/xwin at exit.
 #110807 revert 110804
 #120221 moved code to start X to /root/.profile
+#120407 hide error msg on screen if 915resolution fails.
 
 PATH="/bin:/usr/bin:/sbin:/usr/sbin:/usr/local/bin:/usr/X11R7/bin:/root/my-applications/bin:/usr/games"
 #100626 add /usr/local/lib...
 LD_LIBRARY_PATH="/lib:/usr/lib:/usr/X11R7/lib:/root/my-applications/lib:/usr/local/lib"
 if [ -d /opt/gnome2 ];then
@@ -163,11 +164,11 @@
 export PREFIX='/usr'
 
 #v2.12
 #xorgwizard creates this file, run once only...
 if [ ! -f /tmp/bootcnt.txt ];then
- [ -f /etc/resolutionfix ] && eval `cat /etc/resolutionfix`
+ [ -f /etc/resolutionfix ] && eval `cat /etc/resolutionfix` 2>/dev/null #120407
 fi
 
 #v2.16 this need arose when considering SFS files that may require special env. variables.
 #this code is lifted straight from Vector...
 # Append any additional sh scripts found in /etc/profile.d/:

Changes to woof-code/rootfs-skeleton/root/Choices/MIME-types/application_initramfs-gz

@@ -1,1 +1,2 @@
-
+#! /bin/sh
+exec edit-initramfs "$1"

Changes to woof-code/rootfs-skeleton/usr/sbin/edit-initramfs

@@ -1,1 +1,88 @@
+#!/bin/sh
+#(c) Copyright Barry Kauler 2012, bkhome.org
+#License GPL3 (/usr/share/doc/legal)
+#shared-mime-info pkg has assigned initrd.gz mime-type application/initramfs-gz (by me).
+#Click on initrd.gz in ROX-Filer, this script will run (see /root/Choices/MIME-types/application_initramfs-gz).
+#note: script not internationalized, as this is a developer's tool.
+
+[ ! $1 ] && exit 1
+[ ! -f "$1" ] && exit 1
+BASEFILE="`basename "$1"`"
+[ "$BASEFILE" != "initrd.gz" ] && exit 1
+
+compr_func() {
+#find out compression type...
+UNCOMPREXE=gunzip; COMPREXE=gzip; EXT=gz
+gunzip -t "$1"
+if [ $? -ne 0 ];then
+ UNCOMPREXE=bunzip2; COMPREXE=bzip2; EXT=bz2
+ bunzip2 -t "$1"
+ if [ $? -ne 0 ];then
+  UNCOMPREXE=unxz; COMPREXE=xz; EXT=xz
+  unxz -t "$1"
+  if [ $? -ne 0 ];then
+   return 1
+  fi
+ fi
+fi
+return 0
+}
+
+cd /root
+[ -f initrd ] && rm -f initrd
+[ -f /tmp/initrd.gz ] && rm -f /tmp/initrd.gz
+[ "$1" = "/root/initrd.gz" ] && cp -f /root/initrd.gz /tmp/
+
+if [ -d initrd-expanded ];then
+
+ pupdialog --background "yellow" --backtitle "initrd.gz: update?" --yesno "An initrd.gz is already expanded at /root/initrd-expanded. Is this correct, do you want to use /root/initrd-expanded to update ${1}?" 0 0
+ if [ $? -eq 0 ];then
+
+  compr_func "$1"
+  if [ $? -ne 0 ];then
+   pupdialog --background '#FF8080' --backtitle "initrd.gz: fail" --msgbox "Sorry, could not recognise compression type, unable to update initrd.gz." 0 0
+  else
+   cd initrd-expanded
+   find . | cpio -o -H newc > ../initrd
+   sync
+   cd ..
+   ${COMPREXE} initrd
+   sync
+   mv -f initrd.${EXT} "$1"
+   pupdialog --background '#80FF80' --backtitle "initrd.gz: success" --msgbox "File ${1} has been updated with the contents of /root/initrd-expanded." 0 0
+  fi
+
+ fi
+ pupdialog --background "yellow" --backtitle "initrd.gz: finished" --yesno "Do you want to delete /root/initrd-expanded? If in doubt, please choose Yes" 0 0
+ if [ $? -eq 0 ];then
+  rox -D /root/initrd-expanded 2>/dev/null
+  rm -rf /root/initrd-expanded
+ fi
+
+else
+
+ pupdialog --background "yellow" --backtitle "initrd.gz: expand?"  --yesno "Do you want to open up initrd.gz, and optionally edit it?" 0 0
+ if [ $? -eq 0 ];then
+  compr_func "$1"
+  if [ $? -ne 0 ];then
+   pupdialog --background '#FF8080' --backtitle "initrd.gz: fail" --msgbox "Sorry, could not recognise compression type of ${1}, unable to expand it." 0 0
+  else
+   [ "$1" != "/root/initrd.gz" ] && cp -f "$1" /root/
+   mv -f initrd.gz initrd.${EXT}
+   ${UNCOMPREXE} initrd.${EXT}
+   [ -f /tmp/initrd.gz ] && mv -f /tmp/initrd.gz /root/
+   mkdir initrd-expanded
+   cd initrd-expanded
+   cat ../initrd | cpio -i -d -m
+   sync
+   rm -f ../initrd
+   cd ..
+   pupdialog --colors --background '#80FF80' --backtitle "initrd.gz: expanded" --msgbox "File initrd.gz has been expanded at \Zb/root/initrd-expanded\ZB. You may edit the contents if you wish. \Zb\Z1\n\nAfterward, if you click on ${1} again\Zn\ZB, it will be updated with the contents of /root/initrd-expanded." 0 0
+   rox -d /root/initrd-expanded -x /root/initrd-expanded
+  fi
+ fi
+
+fi
 
+[ -f /tmp/initrd.gz ] && rm -f /tmp/initrd.gz
+###END###

Changes to woof-distro/Packages-puppy-noarch-official

@@ -89,12 +89,12 @@
 pupx-0.3|pupx|0.3||Desktop|48K||pupx-0.3.pet||Pupx X settings||||
 pwallpaper-1.1.2-1|pwallpaper|1.1.2-1||Desktop|72K||pwallpaper-1.1.2-1.pet|+gtk+|Set backdrop image||||
 pwget-0.2|pwget|0.2||Internet|56K||pwget-0.2.pet|+wget,+gtkdialog3|file downloader frontend for wget||||
 pwsget-0.1|pwsget|0.1||Internet|40K||pwsget-0.1.pet|+gtkdialog3|Pwsget secure file downloader||||
 pzchmview-1.0d-1|pzchmview|1.0d-1||Document|28K||pzchmview-1.0d-1.pet|+chmlib|PZCHMView CHM Viewer||||
-shared-mime-info-0.70-5|shared-mime-info|0.70-5||BuildingBlock|272K||shared-mime-info-0.70-5.pet||mime information||||
-shared-mime-info_DEV-0.70-5|shared-mime-info_DEV|0.70-5||BuildingBlock|3772K||shared-mime-info_DEV-0.70-5.pet|+shared-mime-info|mime information||||
+shared-mime-info-0.70-6|shared-mime-info|0.70-6||BuildingBlock|272K||shared-mime-info-0.70-6.pet||mime information||||
+shared-mime-info_DEV-0.70-6|shared-mime-info_DEV|0.70-6||BuildingBlock|3772K||shared-mime-info_DEV-0.70-6.pet|+shared-mime-info|mime information||||
 snap2-4.21|snap2|4.21||Utility|152K||snap2-4.21.pet|+rsync|Snap2 snapshot backup||||
 ssh_gui-0.7.1-1-p4|ssh_gui|0.7.1-1-p4||Internet|40K||ssh_gui-0.7.1-1-p4.pet|+gtk+,+openssh_client|secure telnet gui|puppy|4||
 usb-modeswitch-data-20111023|usb-modeswitch-data|20111023||BuildingBlock|892K||usb-modeswitch-data-20111023.pet||data for usb-modeswitch pkg||||
 wallpaper-0.6.1-1|wallpaper|0.6.1-1||Desktop|116K||wallpaper-0.6.1-1.pet|+gtkdialog4|Set backdrop image||||
 wcpufreq-0.8|wcpufreq|0.8||System|53K||wcpufreq-0.8.pet||CPU Frequency Scaling Tool||||

Changes to woof-distro/x86/pet-based/DISTRO_COMPAT_REPOS-puppy-wary5


Changes to woof-distro/x86/pet-based/racy/DISTRO_PKGS_SPECS-puppy-wary5


Changes to woof-distro/x86/pet-based/racy/DISTRO_SPECS


Changes to woof-distro/x86/pet-based/wary/DISTRO_PKGS_SPECS-puppy-wary5


Changes to woof-distro/x86/pet-based/wary/DISTRO_SPECS


Deleted woof-distro/x86/racy/5.2.2/DISTRO_PKGS_SPECS-puppy-wary5

Deleted woof-distro/x86/racy/5.2.2/DISTRO_SPECS

Deleted woof-distro/x86/racy/5.2.2/Packages-puppy-common-official

Deleted woof-distro/x86/racy/5.2.2/Packages-puppy-wary5-official

Deleted woof-distro/x86/racy/DISTRO_COMPAT_REPOS-puppy-wary5

Deleted woof-distro/x86/racy/testing/DISTRO_PKGS_SPECS-puppy-wary5

Deleted woof-distro/x86/racy/testing/DISTRO_SPECS

Changes to woof-distro/x86/ubuntu/precise/DISTRO_PKGS_SPECS-ubuntu-precise

@@ -181,11 +181,11 @@
 yes|gconf|gconf2-common,gconf2,libgconf2-4,libgconf2-dev,libgconf-2-4,gconf-service|exe,dev,doc,nls
 yes|gdb|gdb|exe>dev,dev,doc,nls
 yes|gdbm|libgdbm3,libgdbm-dev|exe,dev,doc,nls
 yes|gdk-pixbuf|libgdk-pixbuf2.0-0,libgdk-pixbuf2.0-common,libgdk-pixbuf2.0-dev|exe,dev,doc,nls
 yes|gdmap|gdmap|exe,dev>null,doc,nls
-yes|geany|geany|exe,dev>null,doc,nls
+yes|geany|geany,geany-common,geany-plugins-common,geany-plugin-addons,geany-plugin-codenav,geany-plugin-extrasel,geany-plugin-numberedbookmarks,geany-plugin-prettyprinter,geany-plugin-spellcheck,geany-plugin-treebrowser,geany-plugin-xmlsnippets|exe,dev>null,doc,nls
 no|geany||exe
 yes|gecko-mediaplayer|gecko-mediaplayer|exe,dev,doc,nls
 no|gedit||exe
 yes|getcurpos||exe
 yes|getdir||exe,dev>null,doc,nls

Deleted woof-distro/x86/wary/5.2.2/DISTRO_PKGS_SPECS-puppy-wary5

Deleted woof-distro/x86/wary/5.2.2/DISTRO_SPECS

Deleted woof-distro/x86/wary/5.2.2/Packages-puppy-common-official

Deleted woof-distro/x86/wary/5.2.2/Packages-puppy-wary5-official

Deleted woof-distro/x86/wary/DISTRO_COMPAT_REPOS-puppy-wary5

Deleted woof-distro/x86/wary/testing/DISTRO_PKGS_SPECS-puppy-wary5

Deleted woof-distro/x86/wary/testing/DISTRO_SPECS